Resources
CompozyOS Resources HTTP endpoints.
GET
kind?stringFilter by resource kind
scope_kind?stringFilter by resource scope kind
Value in
"user""workspace"scope_id?stringFilter by workspace scope id
owner_kind?stringFilter by stamped owner kind
owner_id?stringFilter by stamped owner id
source_kind?stringFilter by stamped source kind
source_id?stringFilter by stamped source id
limit?integerMaximum number of records to return
Format
int32OK
application/json- response
records*array<>curl -X GET "https://example.com/api/resources"{ "records": [ { "created_at": "2019-08-24T14:15:22Z", "id": "string", "kind": "string", "owner": { "id": "string", "kind": "string" }, "scope": { "id": "string", "kind": "user" }, "source": { "id": "string", "kind": "string" }, "spec": null, "updated_at": "2019-08-24T14:15:22Z", "version": 0 } ]}GET
kind*stringResource kind
scope_kind?stringFilter by resource scope kind
Value in
"user""workspace"scope_id?stringFilter by workspace scope id
owner_kind?stringFilter by stamped owner kind
owner_id?stringFilter by stamped owner id
source_kind?stringFilter by stamped source kind
source_id?stringFilter by stamped source id
limit?integerMaximum number of records to return
Format
int32OK
application/json- response
records*array<>curl -X GET "https://example.com/api/resources/string"{ "records": [ { "created_at": "2019-08-24T14:15:22Z", "id": "string", "kind": "string", "owner": { "id": "string", "kind": "string" }, "scope": { "id": "string", "kind": "user" }, "source": { "id": "string", "kind": "string" }, "spec": null, "updated_at": "2019-08-24T14:15:22Z", "version": 0 } ]}GET
kind*stringResource kind
id*stringResource id
OK
application/json- response
record*curl -X GET "https://example.com/api/resources/string/string"{ "record": { "created_at": "2019-08-24T14:15:22Z", "id": "string", "kind": "string", "owner": { "id": "string", "kind": "string" }, "scope": { "id": "string", "kind": "user" }, "source": { "id": "string", "kind": "string" }, "spec": null, "updated_at": "2019-08-24T14:15:22Z", "version": 0 }}DELETE
kind*stringResource kind
id*stringResource id
JSON request body
application/json- body
expected_version*integerFormat
int64Deleted
curl -X DELETE "https://example.com/api/resources/string/string" \ -H "Content-Type: application/json" \ -d '{ "expected_version": 0 }'Empty
PUT
kind*stringResource kind
id*stringResource id
JSON request body
application/json- body
expected_version?integerFormat
int64scope*spec*unknownUpdated
application/json- response
record*curl -X PUT "https://example.com/api/resources/string/string" \ -H "Content-Type: application/json" \ -d '{ "scope": { "kind": "user" }, "spec": null }'{ "record": { "created_at": "2019-08-24T14:15:22Z", "id": "string", "kind": "string", "owner": { "id": "string", "kind": "string" }, "scope": { "id": "string", "kind": "user" }, "source": { "id": "string", "kind": "string" }, "spec": null, "updated_at": "2019-08-24T14:15:22Z", "version": 0 }}